Update a capacity policy in NetApp Console local deployment
PATCH /v1/organizations/{organizationId}/capacitypolicies/{capacityPolicyId}
Updates the specified capacity policy.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organizationId |
string |
path |
True |
Organization ID
|
capacityPolicyId |
string |
path |
True |
Capacity policy ID
|
Request Body
Capacity policy properties to update. Only include the fields you want to modify.
| Name | Type | Required | Description |
|---|---|---|---|
autoGrow |
string |
False |
Auto-grow setting of the capacity policy. |
description |
string |
False |
Description of the capacity policy. |
name |
string |
False |
Name of the capacity policy. |
spaceReserved |
string |
False |
Space reservation setting of the capacity policy. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the capacity policy. |
tiering |
string |
False |
Tiering setting of the capacity policy. |
type |
string |
True |
Media type of the resource. Defined values are:
|
version |
string |
True |
Version of the resource schema. Defined values are:
|
volumeType |
string |
False |
Volume type setting of the capacity policy. |
Example request
{
"autoGrow": "GROW_SHRINK",
"description": "Updated policy with new tiering configuration",
"name": "Updated Production Policy",
"spaceReserved": "THICK",
"tags": [
{
"internal:bxp:metric:associatedWorkloadCnt": "2"
},
{
"internal:bxp:metric:complianceStatus": "compliant"
}
],
"tiering": "SNAPSHOT_ONLY",
"type": "application/vnd.netapp.bxp.capacitypolicy",
"version": "1.0",
"volumeType": "FLEXGROUP"
}
Response
Status: 204, Capacity policy updated successfully
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The collection specified in the request URI wasn't found.",
"status": "404",
"title": "Collection not found",
"type": "https://bluexp.netapp.io/problems/2"
}
Error
Status: 409, Conflict
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409",
"title": "JSON resource conflict",
"type": "https://bluexp.netapp.io/problems/10"
}
Definitions
See Definitions
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |